#!/bin/sh
CHANGE=$3
SYSFS=$1
DEVICE=$SYSFS$2

if [ -e $DEVICE ] ; then
	while [ $DEVICE != $SYSFS ] ; do
		DEVICE=`dirname $DEVICE`

		if [ -d $DEVICE/net ] ; then
			for INTERFACE in $DEVICE/net/* ; do
				INTERFACE=`basename $INTERFACE`
				
				case $CHANGE in
					"1")     /sbin/ifup   --allow=rfkill $INTERFACE ;;
					"0"|"2") /sbin/ifdown --allow=rfkill $INTERFACE ;;
				esac
			done
		fi
	done
fi
